import { t as o, q as d, W as i } from "./index-jYYVpIDL.js";
import { A as m } from "./AppCard-pSUVQRE0.js";
import { u } from "./useIsAppEnabled-Tvqt7uu5.js";
const E = function({ app: t, eventType: e }) {
  var a;
  const p = o.usePathname(), { enabled: n, updateEnabled: s } = u(t);
  return /* @__PURE__ */ d.jsx(
    m,
    {
      returnTo: `${i}${p}?tabName=apps`,
      app: t,
      teamId: ((a = e.team) == null ? void 0 : a.id) || void 0,
      switchOnClick: (r) => {
        s(r);
      },
      switchChecked: n,
      hideAppCardOptions: !0
    }
  );
};
export {
  E as default
};
